Name:           smp_utils
Version:        0.99
Release:        3
Summary:        Utilities for SAS management protocol (SMP)
License:        BSD
URL:            http://sg.danny.cz/sg/smp_utils.html
Source0:        http://sg.danny.cz/sg/p/%{name}-%{version}.tgz

BuildRequires:  gcc
Provides:       %{name}-libs %{name}-libs%{?_isa}
Obsoletes:      %{name}-libs

%description
The smp_utils package contains utilities for the Serial Attached
SCSI (SAS) Serial Management Protocol (SMP).  Most utilities correspond
to a single SMP function, sending out a request, checking for errors
and if all is well processing the response. The response is either
decoded, printed out in ASCII hexadecimal or sent as binary to stdout.
This package supports the linux 2.4 and 2.6 series and should be
easy to port to other operating systems.

Warning: These utilities access SAS expanders (storage switches) and
the incorrect usage of them may render your system and others inoperable.


%package devel
Summary: Static library and header files for the smputils library
Requires: %{name} = %{version}-%{release}

%description devel
The smp_utils-devel package contains the %{name} library and its header files for
developing applications.

%package help
Summary: Help info for %{name}
Requires: man

%description help
This package contains the help info for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?smp_mflags} CFLAGS="%{optflags} -DSMP_UTILS_LINUX"


%install
make install \
        PREFIX=%{_prefix} \
        DESTDIR=%{buildroot}


%files
%doc ChangeLog COVERAGE CREDITS README
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%files devel
%{_includedir}/scsi/*.h
%{_libdir}/*.so

%files help
%{_mandir}/man8/*


%changelog
* Wed Oct 19 2022 Kunlin Yang <yangkunlin7@huawei.com> - 0.99-3
- rebuild the version to 0.99-3

* Sat Jul 31 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.99-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Thu Jul 16 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> -0.99-1
- update to v0.99 version

* Tue Jun 30 2020 volcanodragon <linfeilong@huawei.com> -0.98-15
- rename patches

* Fri Aug 30 2019 mingfangsen <mingfangsen@huawei.com> -0.98-13.2
- Package init
